Bug 24419 - Synchronized static methods of generic classes lock on the open type instead of the closed one
Summary: Synchronized static methods of generic classes lock on the open type instead ...
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-11-10 19:53 UTC by Vlad Brezae
Modified: 2017-08-28 15:05 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Deadlock example (337 bytes, text/x-csharp)
2014-11-10 19:53 UTC, Vlad Brezae
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Vlad Brezae 2014-11-10 19:53:11 UTC
Created attachment 8685 [details]
Deadlock example

As an example, in the attached code, calling Run should lock on typeof(Gen<object>) instead of typeof(Gen<>). Therefore, the code deadlocks though it shouldn't.
Comment 1 Zoltan Varga 2014-11-10 20:54:38 UTC
Fixed by 5dd334758888f700aa2bace31be5d55832c8c951.